#include "mainwindow.h"

using namespace std;

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{

    chrono.setInterval(40);
    connect(&chrono, SIGNAL(timeout()), this, SLOT(update()));
    chrono.start();

    for (int i=0; i < nSquares; i++)
        shapes[i] = new Square(100, 100, 50);
    for (int i=nSquares; i < (nSquares+nCircles); i++)
        shapes[i] = new Circle(200, 200, 50);
}

MainWindow::~MainWindow()
{
    for (int i=0; i < (nSquares+nCircles); i++)
        delete shapes[i];
}

void MainWindow::paintEvent(QPaintEvent* event)
{
    QMainWindow::paintEvent(event);
    QPainter painter(this);

    for (int i=0; i < (nSquares+nCircles); i++)
        shapes[i]->display(painter);
}

void MainWindow::update()
{
    for (int i=0; i < (nSquares+nCircles); i++)
    {
        shapes[i]->jiggle();
    }

    this->repaint();
}

